View Issue Details

IDProjectCategoryView StatusLast Update
0007736Talerwallet-corepublic2024-06-11 16:39
Reportersebasjm Assigned ToFlorian Dold  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.12 
Summary0007736: wallet-core should enforce accepted ToS for various operations [estimate: 4h]
DescriptionUI need information about the ToS status

wallet-core should not allow using an exchange without accepting ToS first (does this happen also with withdrawals?)
TagsNo tags attached.

Relationships

related to 0008918 assignedsebasjm breaking change: wallet core now requires that tos has been accepted 

Activities

Florian Dold

2024-03-06 11:26

manager   ~0021722

What happens when the exchange has no ToS defined? What's the DD48 state for this?

Florian Dold

2024-03-06 11:50

manager   ~0021723

Discussed w/ Christian offline: We should introduce a new DD48 tos state for the case where the terms are not configured.

For the ToS check, that should count as accepted.

Florian Dold

2024-06-11 16:39

manager   ~0022576

commit ce89223b51e71dae83d00fa93a0ab1c09b3c190a (HEAD -> master, origin/master, origin/HEAD)
Author: Florian Dold <florian@dold.me>
Date: Tue Jun 11 16:39:09 2024 +0200

    wallet-core: check that ToS was accepted for certain requests

Issue History

Date Modified Username Field Change
2023-03-02 12:53 sebasjm New Issue
2023-03-02 12:53 sebasjm Status new => assigned
2023-03-02 12:53 sebasjm Assigned To => Florian Dold
2023-04-04 15:53 Florian Dold Target Version git (master) => 0.9.4
2023-04-04 15:53 Florian Dold Summary p2p transfer pickup can be done without accepting ToS => wallet-core should enforce accepted ToS for various operations
2023-04-13 20:36 Florian Dold Category wallet (TS core) => wallet-core
2023-05-04 20:19 Christian Grothoff Severity minor => feature
2023-11-10 11:27 Christian Grothoff Target Version 0.9.4 => 0.10
2024-03-06 11:26 Florian Dold Note Added: 0021722
2024-03-06 11:50 Florian Dold Note Added: 0021723
2024-03-07 12:51 Florian Dold Target Version 0.10 => 0.11
2024-04-03 13:12 Florian Dold Summary wallet-core should enforce accepted ToS for various operations => wallet-core should enforce accepted ToS for various operations [estimate: 4h]
2024-05-13 21:26 Christian Grothoff Target Version 0.11 => 0.12
2024-06-10 20:12 sebasjm Relationship added related to 0008918
2024-06-11 16:39 Florian Dold Status assigned => resolved
2024-06-11 16:39 Florian Dold Resolution open => fixed
2024-06-11 16:39 Florian Dold Note Added: 0022576